commit:     1f77b4d10c3ae1da34599764d9941b5be8b46b33
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue May 16 12:02:35 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue May 16 12:02:35 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f77b4d1

dev-python/nose_fixes: Add python3_6

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/nose_fixes/nose_fixes-1.3.ebuild | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/dev-python/nose_fixes/nose_fixes-1.3.ebuild 
b/dev-python/nose_fixes/nose_fixes-1.3.ebuild
index b5bfaf3b4c0..b406653c87f 100644
--- a/dev-python/nose_fixes/nose_fixes-1.3.ebuild
+++ b/dev-python/nose_fixes/nose_fixes-1.3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=6
 
-PYTHON_COMPAT=( python{2_7,3_{4,5}} pypy pypy3 )
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} pypy pypy3 )
 
 inherit distutils-r1
 
@@ -23,7 +23,7 @@ DEPEND="
        ${RDEPEND}
        doc? (
                dev-python/sphinx[${PYTHON_USEDEP}]
-               $(python_gen_cond_dep 'dev-python/pkginfo[${PYTHON_USEDEP}]' 
python2_7)
+               dev-python/pkginfo[${PYTHON_USEDEP}]
        )"
 
 python_prepare_all() {
@@ -39,3 +39,7 @@ python_install_all() {
        use doc && local HTML_DOCS=( docs/_build/html/. )
        distutils-r1_python_install_all
 }
+
+python_test() {
+       nosetests || die
+}

Reply via email to